.news-class-list {
    width: 190px;
    font-size: 18px;
    letter-spacing: 2px;
    display: inline-block;
    font-weight: bold;
    color: #555555;
    border-right:1px solid #dddddd;
    box-sizing: border-box;
    transition: all .3s linear;
    margin-bottom: 4px;
    text-align: center;
    position: relative;
    padding: 5px 0;
}
.news-class-text{
    position: relative;
    z-index: 1;
    display: block;
}
.news-class-bg{
    width: 100%;
    position: absolute;
    top: 0;
    height: 100%;
}
.news-class-bg span{
    display: block;
    height: 100%;
    width: 0;
    opacity: 0;
    transition: all .3s linear;
    background: linear-gradient(135deg, #36BF36, #36BF36 18%, #FFFF00 98%);
}
.news-list {
    width: 100%;
    padding: 15px 10px;
    box-sizing: border-box;
    display: block;
    border-bottom:1px solid #ddd;
    transition: all .3s linear;
}
.news-list-box{
    margin: 30px 0;
}
.news-list-date {
    font-size: 14px;
    color: #5a5252;
    display: inline-block;
    vertical-align: middle;
    width: 100px;
    max-width: 100%;
    letter-spacing: 1px;
    transition: all .3s linear;
}
.news-list-class{
    font-size: 14px;
    display: inline-block;
    vertical-align: middle;
    color: #36bf36;
    border:1px solid #36bf36;
    width: 80px;
    text-align: center;
    margin-right: 10px;
    transition: all .3s linear;
}
.news-list-text {
    font-size: 16px;
    color: #5a5252;
    display: inline-block;
    vertical-align: middle;
    overflow: hidden;
    width: calc(100% - 315px);
    transition: all .3s linear;
    padding: 5px 0;
}
.news-more {
    width: 110px;
    max-width: 100%;
    display: inline-block;
    vertical-align: middle;
    border: 1px solid #36bf36;
    box-sizing: border-box;
    margin-left: 10px;
    font-size: 12px;
    text-align: center;
    letter-spacing: 1px;
    line-height: 32px;
    background-color: #FFF;
}
/* Hover */
.news-class-list.active .news-class-text,
.news-class-list:hover .news-class-text{
    color: #fff;
}
.news-class-list.active .news-class-bg span,
.news-class-list:hover .news-class-bg span{
    color: #fff;
    border-right:1px solid #e9eef2;
    width: 100%;
    opacity: 1;
}
.news-list:hover{
    background-color: #eee;
}
.news-list:hover .news-list-class{
    color: #36bf36;
    border: 1px solid #36bf36;
}
.news-list:hover .news-more{
    background-color: #36bf36;
    color: #fff;
}
@media only screen and (max-width: 1000px){
    .news-class-list {
        width: calc( 100% / 3 );
    }

}
@media only screen and (max-width: 480px){
    .news-list-text{
        width: 100%;
            margin-bottom: 10px;
    }
    .news-more{
        float: right
    }
}